Bug 1301884 - libevent2-devel conflicts with libevent-devel
libevent2-devel conflicts with libevent-devel
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libevent2 (Show other bugs)
6.8
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Paul Wouters
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 04:45 EST by Petr Sklenar
Modified: 2017-02-19 19:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 22:12:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2016-01-26 04:45:14 EST
Description of problem:
there is fileconfict libevent-devel with libevent2-devel
Both package are in the 'normal' channels


Version-Release number of selected component (if applicable):
libevent-devel-1.4.13-4.el6.x86_64
libevent2-devel-2.0.21-2.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. yum install libevent-devel
2. yum install libevent2-devel


Actual results:
[0 root@qeos-24 test]# yum install libevent-devel
Loaded plugins: product-id, refresh-packagekit, search-disabled-repos, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package libevent-devel.x86_64 0:1.4.13-4.el6 will be installed
--> Processing Dependency: libevent-doc = 1.4.13-4.el6 for package: libevent-devel-1.4.13-4.el6.x86_64
--> Processing Dependency: libevent-headers = 1.4.13-4.el6 for package: libevent-devel-1.4.13-4.el6.x86_64
--> Running transaction check
---> Package libevent-doc.noarch 0:1.4.13-4.el6 will be installed
---> Package libevent-headers.noarch 0:1.4.13-4.el6 will be installed
--> Processing Conflict: libevent2-devel-2.0.21-2.el6.x86_64 conflicts libevent-devel
--> Finished Dependency Resolution
Error: libevent2-devel conflicts with libevent-devel-1.4.13-4.el6.x86_64
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:
there is no conflict

Additional info:
it was the same issue like in the extras channel, but now there is libevent2 in the 'normal' channel
https://bugzilla.redhat.com/show_bug.cgi?id=1261401#c6
Comment 3 Paul Wouters 2016-01-26 11:20:21 EST
yes. they are conflicting because both devel packages cannot be installed at the same time.

Why is that a bug?
Comment 4 Marian Ganisin 2016-01-27 09:42:58 EST
Quick check revealed that this package is available just in optional repo/channel (please correct me if I'm wrong). There's some special handling of conflicting packages in 'standard' repo in certain cases (however covered by release engineering & conflicting packages are not prohibited by any means).

From distribution point of view this does not seem to violate anything.
Comment 5 Lubos Kocman 2016-01-28 08:17:58 EST
Hi folks, what's the expected behavior when it comes to installing libevent / libevent2 at the same host. Shouldn't libevent2 obsolete libevent?

Shouldn't be a conflict ... and if so ... we need to put them into conflict groups in comps.

Lubos
Comment 6 Paul Wouters 2016-01-28 13:54:16 EST
libevent2 should not obsolete libevent. The choice was made not to cause potential problems in applications that would get switched from libevent1 to libevent2.

Since they do have same named header files, these devek packages cannot be both installed. This is similar to openssl vs openssl099 or bind vs bind9xxx.

That's why I think this is not a problem.
Comment 7 Steve Dickson 2016-02-12 14:29:44 EST
(In reply to Paul Wouters from comment #6)
> libevent2 should not obsolete libevent. The choice was made not to cause
> potential problems in applications that would get switched from libevent1 to
> libevent2.
> 
> Since they do have same named header files, these devek packages cannot be
> both installed. This is similar to openssl vs openssl099 or bind vs bind9xxx.
> 
> That's why I think this is not a problem.

+1

Note You need to log in before you can comment on or make changes to this bug.